//
// programmode.h
//
// base class for program modes
//
//
// Author: Tomi Belan <tomi.belan@gmail.com>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef _programmode_h_
#define _programmode_h_

#include <SDL.h>

class ProgramMode {
public:
  ProgramMode() { }
  virtual ~ProgramMode() { }
  
  virtual void event(SDL_Event *) = 0;
  virtual void activate() { }
  virtual void update() { }
  virtual void cleanUp() { }
};

#endif
